<div class="main-content pad">
    <div class="container-fluid">
	    <div class="row">
	        <div class="col-md-12">
	            <div class="card">
                    <div class="card-header card-header-rose card-header-icon">
	                    <div class="card-icon">
	                         <i class="material-icons">poll</i>
	                    </div>
						    <h4 class="card-title">
						        <span jhiTranslate="sisteminformasiakademikApp.report.home.title3">Besar Bayars</span>
						    </h4>
					</div>
					<br/>
					 <div class="col-md-12 float-right">
            			<form name="searchForm" class="form-inline">
					 		&nbsp;&nbsp;<input placeholder="Tanggal awal" type="text" onfocus="(this.type='date')" 
					 			onblur="(this.type='text')" id="date" [(ngModel)]="startDate" name="startDate" />
							<label>&nbsp;s/d&nbsp;</label>					 		
					 		<input placeholder="Tanggal akhir" type="text" onfocus="(this.type='date')" 
					 			onblur="(this.type='text')" id="date" [(ngModel)]="endDate" name="endDate" />
					 	
					        <button id="jh-create-entity"  class="btn btn-outline-primary btn-sm" (click)="search(startDate,endDate)">
					            <i class="material-icons">search</i>
					            <span jhiTranslate="sisteminformasiakademikApp.report.cari">
					            	Cari
					            </span>
					        </button>
					        <button id="jh-create-entity"  class="btn btn-outline-primary btn-sm"  (click)="download()">
					            <i class="material-icons">cloud_download</i>
					            <span jhiTranslate="sisteminformasiakademikApp.report.download">
					            	Cari
					            </span>
					        </button>
					    </form>
					  </div>
				    <jhi-alert-error></jhi-alert-error>
				    <jhi-alert></jhi-alert>
			
				<div class="card-body">
				<div *ngIf="report?.length > 0" class="row">
					<div class="col-md-6">
			      		<div class="card">
			       		<div class="card-header card-header-rose card-header-icon">
						      <h6 class="card-title">
						        <mat-label>Total Pembayaran</mat-label><div class="text-right"><b>{{date | date : 'dd MMMM yyyy'}}</b></div>
						    </h6>
			  				 </div><hr>
			        	<div class="card-body">
						        <mat-label>Rp. </mat-label>
						        <mat-label>{{totTransaksi| currency:' ' }}</mat-label>
			        		</div>
			  	        </div>
			  	    </div>
					<!-- <div class="col-md-6">
			      		<div class="card">
			       		<div class="card-header card-header-rose card-header-icon">
						      <h6 class="card-title">
						        <mat-label>Total Pembayaran TUNAI</mat-label><div class="text-right"><b>{{date | date : 'dd MMMM yyyy'}}</b></div>
						    </h6>
			  				 </div><hr>
			        	<div class="card-body">
						        <mat-label>Rp. </mat-label>
						        <mat-label>{{totTransaksiTu| currency:' ' }}</mat-label>
			        		</div>
			  	        </div>
			  	    </div> -->
	            </div>
				<div class="alert alert-warning" *ngIf="report?.length === 0">
			        <span>No report found</span>
			    </div>
			    <div class="material-datatables table-responsive">
			        <table class="table table-bordered table-hover" aria-describedby="page-heading">
			            <thead class="thead-light">
			            <tr>
				            <th scope="col" class="text-center"><span>No</span></th>
				            <th scope="col" class="text-center"><span>Item</span></th>
				            <th scope="col" class="text-center"><span>JUMLAH</span></th>
			            </tr>
			            </thead>
			            
			            <tr *ngFor="let rep of report; let i= index">
			                <td class="text-center">{{((page-1) * itemsPerPage)+(i+1) }}</td>
			                <td>
			                	<div>{{rep.item}}</div>
			               	</td>
			                <td>
			                	<div class="row">
				                	<div class="col-md-4">Rp.</div>
				                	<div class="col-md-8 text-right">{{rep.nominalPembayaran| currency:' ' }}</div>
			                	</div>
			               	</td>
			            </tr>
			            </tbody>
			        </table>
			    <br/>
			    </div>
			    <div>
			        <div class="row justify-content-center">
			            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
			        </div>
			        <div class="row justify-content-center">
			            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
			        </div>
			    </div>
			    </div>
					</div>
				</div>
			</div>
		</div>
	</div>
